aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2012-08-06 15:18:23 -0400
committerBill Nottingham <notting@redhat.com>2012-08-06 15:18:23 -0400
commitd85174edb7389f670705595804b48aee0278ed2f (patch)
tree0cba6c19ef0420ec21bb56c0fe962d13ee3bee4f /rc.d
parent164d1ede7161233a2a2fe6e4cf413b44a08923e4 (diff)
downloadinitscripts-d85174edb7389f670705595804b48aee0278ed2f.tar
initscripts-d85174edb7389f670705595804b48aee0278ed2f.tar.gz
initscripts-d85174edb7389f670705595804b48aee0278ed2f.tar.bz2
initscripts-d85174edb7389f670705595804b48aee0278ed2f.tar.xz
initscripts-d85174edb7389f670705595804b48aee0278ed2f.zip
Initial removal of support for non-systemd systems.
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/halt213
-rwxr-xr-xrc.d/init.d/killall35
-rwxr-xr-xrc.d/init.d/netfs187
-rwxr-xr-xrc.d/init.d/single24
-rwxr-xr-xrc.d/rc104
-rwxr-xr-xrc.d/rc.local7
-rwxr-xr-xrc.d/rc.sysinit666
7 files changed, 0 insertions, 1236 deletions
diff --git a/rc.d/init.d/halt b/rc.d/init.d/halt
deleted file mode 100755
index 8b990791..00000000
--- a/rc.d/init.d/halt
+++ /dev/null
@@ -1,213 +0,0 @@
-#!/bin/bash
-#
-# halt This file is executed by init when it goes into runlevel
-# 0 (halt) or runlevel 6 (reboot). It kills all processes,
-# unmounts file systems and then either halts or reboots.
-#
-# Author: Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
-# Modified for RHS Linux by Damien Neil
-#
-
-NOLOCALE=1
-. /etc/init.d/functions
-
-UMOUNT="umount"
-[ ! -w /etc ] && UMOUNT="umount -n"
-
-halt_crypto() {
- fnval=0
- while read dst src key; do
- [ -z "$dst" -o "${dst#\#}" != "$dst" ] && continue
- if [ -b "/dev/mapper/$dst" ]; then
- if /sbin/dmsetup info "$dst" | grep -q '^Open count: *0$'; then
- action $"Stopping disk encryption for $dst" /sbin/cryptsetup remove "$dst"
- else
- fnval=1
- fi
- fi
- done < /etc/crypttab
- return $fnval
-}
-
-kill_all() {
- local STRING rc
-
- STRING=$1
- echo -n "$STRING "
- shift
- /sbin/killall5 "$@"
- rc=$?
- # Retval: 0: success 1: error 2: no processes found to kill
- if [ "$rc" == 1 ]; then
- failure $"$STRING"
- else
- success $"$STRING"
- fi
- echo
- return $rc
-}
-
-# See how we were called.
-case "$0" in
- *halt)
- message=$"Halting system..."
- command="/sbin/halt"
- ;;
- *reboot)
- message=$"Please stand by while rebooting the system..."
- command="/sbin/reboot"
- kexec_command="/sbin/kexec"
- ;;
- *)
- echo $"$0: call me as 'halt' or 'reboot' please!"
- exit 1
- ;;
-esac
-case "$1" in
- *start)
- ;;
- *)
- echo $"Usage: $0 {start}"
- exit 1
- ;;
-esac
-
-# Kill all processes.
-[ "${BASH+bash}" = bash ] && enable kill
-
-# Find mdmon pid's and omit killing them
-OMITARGS=
-for i in /dev/md/*.pid; do
- if [ ! -r "$i" ]; then
- continue
- fi
- OMITARGS="$OMITARGS -o $(cat $i)"
-done
-
-kill_all $"Sending all processes the TERM signal..." -15 $OMITARGS
-# No need to sleep and kill -9 if no processes to kill were found
-if [ "$?" == 0 ]; then
- sleep 2
- kill_all $"Sending all processes the KILL signal..." -9 $OMITARGS
-fi
-
-# Write to wtmp file before unmounting /var
-/sbin/halt -w
-
-# Save mixer settings, here for lack of a better place.
-if [ -s /etc/alsa/alsactl.conf ] && [ -x /sbin/alsactl ] && [ -w /etc/asound.state ]; then
- action $"Saving mixer settings" /sbin/alsactl -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --ignore store
-fi
-
-# Save random seed
-touch /var/lib/random-seed
-chmod 600 /var/lib/random-seed
-action $"Saving random seed: " dd if=/dev/urandom of=/var/lib/random-seed count=1 bs=512 2>/dev/null
-
-[ -x /sbin/hwclock ] && action $"Syncing hardware clock to system time" /sbin/hwclock --systohc
-
-# Try to unmount tmpfs filesystems to avoid swapping them in. Ignore failures.
-tmpfs=$(awk '$2 ~ /^\/($|proc|dev)/ { next; }
- $3 == "tmpfs" { print $2; }' /proc/mounts | sort -r)
-[ -n "$tmpfs" ] && fstab-decode $UMOUNT $tmpfs 2>/dev/null
-
-# Turn off swap, then unmount file systems.
-[ -f /proc/swaps ] && SWAPS=$(awk '! /^Filename/ { print $1 }' /proc/swaps)
-if [ -n "$SWAPS" ]; then
- action $"Turning off swap: " swapoff $SWAPS
- for dst in $SWAPS; do
- if [[ "$dst" == /dev/mapper* ]] \
- && [ "$(dmsetup status "$dst" | cut -d ' ' -f 3)" = crypt ]; then
- backdev=$(/sbin/cryptsetup status "$dst" \
- | awk '$1 == "device:" { print $2 }')
- /sbin/cryptsetup remove "$dst"
- fi
- done
-fi
-
-[ -x /sbin/quotaoff ] && action $"Turning off quotas: " /sbin/quotaoff -aug
-
-# Unmount file systems, killing processes if we have to.
-# Unmount loopback stuff first
-__umount_loopback_loop
-
-# Unmount RPC pipe file systems
-__umount_loop '$3 ~ /^rpc_pipefs$/ || $3 ~ /^rpc_svc_gss_pipefs$/ {print $2}' \
- /proc/mounts \
- $"Unmounting pipe file systems: " \
- $"Unmounting pipe file systems (retry): " \
- -f
-
-LANG=C __umount_loop '$2 ~ /^\/$|^\/proc|^\/cgroup|^\/sys\/fs\/cgroup|^\/dev/{next}
- $3 == "tmpfs" || $3 == "proc" {print $2 ; next}
- $3 ~ /(loopfs|autofs|nfs|cifs|smbfs|ncpfs|sysfs)/ {next}
- /(^none|^\/dev\/ram|^\/dev\/root$)/ {next}
- {print $2}' /proc/mounts \
- $"Unmounting file systems: " \
- $"Unmounting file systems (retry): " \
- -f
-
-[ -f /proc/bus/usb/devices ] && $UMOUNT /proc/bus/usb
-
-[ -f /etc/crypttab ] && halt_crypto
-
-# remove the crash indicator flag
-rm -f /.autofsck
-
-# Try all file systems other than root, essential filesystems and RAM disks,
-# one last time.
-awk '$2 !~ /\/(|dev|proc|selinux|cgroup|sys)$/ && $1 !~ /(^\/dev\/ram|cgroup)/ { print $2 }' \
- /proc/mounts | sort -r | \
- while read line; do
- fstab-decode $UMOUNT -f $line
-done
-
-if [ -x /sbin/halt.local ]; then
- /sbin/halt.local
-fi
-
-# Tell init to re-exec itself.
-kill -TERM 1
-
-# Remount read only anything that's left mounted.
-# echo $"Remounting remaining filesystems readonly"
-mount | awk '{ print $1,$3 }' | while read dev dir; do
- fstab-decode mount -n -o ro,remount $dev $dir
-done
-
-# If we left mdmon's running wait for the raidsets to become clean
-if [ -n "$OMITARGS" ]; then
- mdadm --wait-clean --scan
-fi
-
-# Now halt or reboot.
-echo $"$message"
-if [ -f /fastboot ]; then
- echo $"On the next boot fsck will be skipped."
-elif [ -f /forcefsck ]; then
- echo $"On the next boot fsck will be forced."
-fi
-
-# Shutdown UPS drivers
-if [ "$command" = /sbin/halt ] && [ -f /etc/sysconfig/ups ]; then
- . /etc/sysconfig/ups
- if [ -z $POWERDOWNFLAG ]; then
- POWERDOWNFLAG=/etc/killpower
- fi
- if [ "$SERVER" = "yes" ] && [ -f $POWERDOWNFLAG ]; then
- /sbin/upsdrvctl shutdown
- fi
-fi
-
-# Turn off UPS in powerfail situation
-if [ -x /etc/apcupsd/apccontrol -a -f /etc/apcupsd/powerfail ]; then
- /etc/apcupsd/apccontrol killpower
-fi
-
-# First, try kexec. If that fails, fall back to rebooting the old way.
-[ -n "$kexec_command" ] && $kexec_command -e -x >& /dev/null
-
-HALTARGS="-d"
-[ "$INIT_HALT" != "HALT" ] && HALTARGS="$HALTARGS -p"
-
-exec $command $HALTARGS
diff --git a/rc.d/init.d/killall b/rc.d/init.d/killall
deleted file mode 100755
index 4405879c..00000000
--- a/rc.d/init.d/killall
+++ /dev/null
@@ -1,35 +0,0 @@
-#! /bin/bash
-
-# Bring down all unneeded services that are still running (there shouldn't
-# be any, so this is just a sanity check)
-
-case "$1" in
- *start)
- ;;
- *)
- echo $"Usage: $0 {start}"
- exit 1
- ;;
-esac
-
-
-for i in /var/lock/subsys/* ; do
- # Check if the script is there.
- [ -f "$i" ] || continue
-
- # Get the subsystem name.
- subsys=${i#/var/lock/subsys/}
-
- # Networking could be needed for NFS root.
- [ $subsys = network ] && continue
-
- # Bring the subsystem down.
- if [ -f /etc/init.d/$subsys ]; then
- /etc/init.d/$subsys stop
- elif [ -f /etc/init.d/$subsys.init ]; then
- /etc/init.d/$subsys.init stop
- else
- rm -f "$i"
- fi
-done
-exit 0
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
deleted file mode 100755
index a1bc022a..00000000
--- a/rc.d/init.d/netfs
+++ /dev/null
@@ -1,187 +0,0 @@
-#!/bin/bash
-#
-# netfs Mount network filesystems.
-#
-# Authors: Bill Nottingham <notting@redhat.com>
-# AJ Lewis <alewis@redhat.com>
-# Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
-#
-# chkconfig: 345 25 75
-# description: Mounts and unmounts all Network File System (NFS), \
-# CIFS (Lan Manager/Windows), and NCP (NetWare) mount points.
-### BEGIN INIT INFO
-# Provides: $remote_fs
-# Short-Description: Mount and unmount network filesystems.
-# Description: Mount and unmount network filesystems.
-# Should-Start: $network
-### END INIT INFO
-
-[ -f /etc/sysconfig/network ] || exit 0
-. /etc/init.d/functions
-. /etc/sysconfig/network
-
-NFSFSTAB=$(LC_ALL=C awk '!/^#/ && $3 ~ /^nfs/ && $3 != "nfsd" && $4 !~ /noauto/ { print $2 }' /etc/fstab)
-CIFSFSTAB=$(LC_ALL=C awk '!/^#/ && $3 == "cifs" && $4 !~ /noauto/ { print $2 }' /etc/fstab)
-NCPFSTAB=$(LC_ALL=C awk '!/^#/ && $3 == "ncpfs" && $4 !~ /noauto/ { print $2 }' /etc/fstab)
-NETDEVFSTAB=$(LC_ALL=C awk '!/^#/ && $4 ~/_netdev/ && $4 !~ /noauto/ { print $1 }' /etc/fstab)
-
-NFSMTAB=$(LC_ALL=C awk '$3 ~ /^nfs/ && $3 != "nfsd" && $2 != "/" { print $2 }' /proc/mounts)
-CIFSMTAB=$(LC_ALL=C awk '$3 == "cifs" { print $2 }' /proc/mounts | tac)
-NCPMTAB=$(LC_ALL=C awk '$3 == "ncpfs" { print $2 }' /proc/mounts | tac)
-NETDEVMTAB=$(LC_ALL=C awk '$4 ~ /_netdev/ && $2 != "/" { print $2 }' /etc/mtab)
-
-# See how we were called.
-case "$1" in
- start)
- [ ! -f /var/lock/subsys/network ] && ! nm-online -x >/dev/null 2>&1 && exit 0
- [ "$EUID" != "0" ] && exit 4
- [ -n "$NFSFSTAB" ] &&
- {
- [ ! -f /var/lock/subsys/rpcbind ] && service rpcbind start
- action $"Mounting NFS filesystems: " mount -a -t nfs,nfs4
- }
- [ -n "$CIFSFSTAB" ] && action $"Mounting CIFS filesystems: " mount -a -t cifs
- [ -n "$NCPFSTAB" ] && action $"Mounting NCP filesystems: " mount -a -t ncpfs
- [ -n "$NETDEVFSTAB" ] &&
- {
- if [ -f /etc/mdadm.conf ] && [ -x /sbin/mdadm ]; then
- /sbin/mdadm -A -s
- fi
- if [ -f /etc/multipath.conf ] && [ -x /sbin/multipath ]; then
- modprobe dm-multipath >/dev/null 2>&1
- /sbin/multipath -u -v 0
- if [ -x /sbin/kpartx ]; then
- /sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -u -a -p p"
- fi
- fi
- if [ -x /sbin/lvm ]; then
- if /sbin/lvm vgscan > /dev/null 2>&1 ; then
- action $"Setting up Logical Volume Management:" /sbin/lvm vgchange -a y
- fi
- fi
-
- if [ -f /etc/crypttab ]; then
- init_crypto 1
- fi
-
- STRING=$"Checking network-attached filesystems"
-
- echo $STRING
- fsck -A -T -M -a -t opts=_netdev
- rc=$?
-
- if [ "$rc" -eq "0" ]; then
- success "$STRING"
- echo
- elif [ "$rc" -eq "1" ]; then
- passed "$STRING"
- echo
- fi
-
- if [ "$rc" -gt 1 ]; then
- if [ -x /bin/plymouth ] && /bin/plymouth --ping ; then
- /bin/plymouth --hide-splash
- fi
- failure "$STRING"
- tty >/dev/null 2>&1 || exit 1
- echo
- echo
- echo $"*** An error occurred during the file system check."
- echo $"*** Dropping you to a shell; the system will reboot"
- echo $"*** when you leave the shell."
-
- str=$"(Repair filesystem)"
- PS1="$str \# # "; export PS1
- [ "$SELINUX" = "1" ] && disable_selinux
- sulogin
-
- shutdown -r now
- fi
- }
- touch /var/lock/subsys/netfs
- # The 'no' applies to all listed filesystem types. See mount(8).
- action $"Mounting other filesystems: " mount -a -t nonfs,nfs4,cifs,ncpfs,gfs2
- ;;
- stop)
- # Unmount loopback stuff first
- [ "$EUID" != "0" ] && exit 4
- __umount_loopback_loop
- if [ -n "$NETDEVMTAB" ]; then
- __umount_loop '$4 ~ /_netdev/ && $2 != "/" {print $2}' \
- /etc/mtab \
- $"Unmounting network block filesystems: " \
- $"Unmounting network block filesystems (retry): "
- fi
- if [ -n "$NFSMTAB" ]; then
- __umount_loop '$3 ~ /^nfs/ && $3 != "nfsd" && $2 != "/" {print $2}' \
- /proc/mounts \
- $"Unmounting NFS filesystems: " \
- $"Unmounting NFS filesystems (retry): " \
- "-f -l"
- fi
- if [ -n "$CIFSMTAB" ]; then
- for MNT in $CIFSMTAB; do
- action $"Unmounting CIFS filesystem: $MNT" umount "$MNT"
- done
- fi
- if [ -n "$NCPMTAB" ]; then
- for MNT in $NCPMTAB; do
- action $"Unmounting NCP filesystem: $MNT" umount "$MNT"
- done
- fi
- rm -f /var/lock/subsys/netfs
- ;;
- status)
- if [ -f /proc/mounts ] ; then
- [ -n "$NFSFSTAB" ] && {
- echo $"Configured NFS mountpoints: "
- for fs in $NFSFSTAB; do echo $fs ; done
- }
- [ -n "$CIFSFSTAB" ] && {
- echo $"Configured CIFS mountpoints: "
- for fs in $CIFSFSTAB; do echo $fs ; done
- }
- [ -n "$NCPFSTAB" ] && {
- echo $"Configured NCP mountpoints: "
- for fs in $NCPFSTAB; do echo $fs ; done
- }
- [ -n "$NETDEVFSTAB" ] && {
- echo $"Configured network block devices: "
- for fs in $NETDEVFSTAB; do echo $fs ; done
- }
- [ -n "$NFSMTAB" ] && {
- echo $"Active NFS mountpoints: "
- for fs in $NFSMTAB; do echo $fs ; done
- }
- [ -n "$CIFSMTAB" ] && {
- echo $"Active CIFS mountpoints: "
- for fs in $CIFSMTAB; do echo $fs ; done
- }
- [ -n "$NCPMTAB" ] && {
- echo $"Active NCP mountpoints: "
- for fs in $NCPMTAB; do echo $fs ; done
- }
- [ -n "$NETDEVMTAB" ] && {
- echo $"Active network block devices: "
- for fs in $NETDEVMTAB; do echo $fs ; done
- }
- else
- echo $"/proc filesystem unavailable"
- fi
- [ -r /var/lock/subsys/netfs ] || exit 3
- ;;
- restart)
- $0 stop
- $0 start
- exit $?
- ;;
- reload)
- $0 start
- exit $?
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart|reload|status}"
- exit 2
-esac
-
-exit 0
diff --git a/rc.d/init.d/single b/rc.d/init.d/single
deleted file mode 100755
index 0ae9268e..00000000
--- a/rc.d/init.d/single
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/bash
-#
-#
-# rc.single This file is executed by init when it goes into runlevel
-# 1, which is the administrative state. It kills all
-# deamons and then puts the system into single user mode.
-# Note that the file systems are kept mounted.
-#
-# Author: Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
-# Modified for RHS Linux by Damien Neil
-#
-
-. /etc/init.d/functions
-
-if [ "$1" != "start" ]; then
- exit 0
-fi
-
-# this looks nicer
-[ -x /usr/bin/clear ] && /usr/bin/clear
-
-# Now go to the single user level.
-echo $"Telling INIT to go to single user mode."
-exec init -t1 S
diff --git a/rc.d/rc b/rc.d/rc
deleted file mode 100755
index d7b68b69..00000000
--- a/rc.d/rc
+++ /dev/null
@@ -1,104 +0,0 @@
-#! /bin/bash
-#
-# rc This file is responsible for starting/stopping
-# services when the runlevel changes.
-#
-# Original Author:
-# Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
-#
-
-set -m
-
-# check a file to be a correct runlevel script
-check_runlevel ()
-{
- # Check if the file exists at all.
- [ -x "$1" ] || return 1
- is_ignored_file "$1" && return 1
- return 0
-}
-
-# Now find out what the current and what the previous runlevel are.
-argv1="$1"
-set $(/sbin/runlevel)
-runlevel=$2
-previous=$1
-export runlevel previous
-
-. /etc/init.d/functions
-
-export CONSOLETYPE
-do_confirm="no"
-if [ -f /var/run/confirm ]; then
- do_confirm="yes"
-fi
-UPSTART=
-[ -x /sbin/initctl ] && UPSTART=yes
-# See if we want to be in user confirmation mode
-if [ "$previous" = "N" ]; then
- if [ "$do_confirm" = "yes" ]; then
- echo $"Entering interactive startup"
- else
- echo $"Entering non-interactive startup"
- fi
-fi
-
-# Get first argument. Set new runlevel to this argument.
-[ -n "$argv1" ] && runlevel="$argv1"
-
-# Is there an rc directory for this new runlevel?
-[ -d /etc/rc$runlevel.d ] || exit 0
-
-# Set language, vc settings once to avoid doing it for every init script
-# through functions
-if [ -z "${NOLOCALE:-}" ] && [ -f /etc/sysconfig/i18n -o -f /etc/locale.conf ] ; then
- . /etc/profile.d/lang.sh 2>/dev/null
- export LANGSH_SOURCED=1
-fi
-
-# First, run the KILL scripts.
-for i in /etc/rc$runlevel.d/K* ; do
-
- # Check if the subsystem is already up.
- subsys=${i#/etc/rc$runlevel.d/K??}
- [ -f /var/lock/subsys/$subsys ] || [ -f /var/lock/subsys/$subsys.init ] || continue
- check_runlevel "$i" || continue
-
- # Bring the subsystem down.
- [ -n "$UPSTART" ] && initctl emit --quiet stopping JOB=$subsys
- $i stop
- [ -n "$UPSTART" ] && initctl emit --quiet stopped JOB=$subsys
-done
-
-# Now run the START scripts.
-for i in /etc/rc$runlevel.d/S* ; do
-
- # Check if the subsystem is already up.
- subsys=${i#/etc/rc$runlevel.d/S??}
- [ -f /var/lock/subsys/$subsys ] && continue
- [ -f /var/lock/subsys/$subsys.init ] && continue
- check_runlevel "$i" || continue
-
- # If we're in confirmation mode, get user confirmation
- if [ "$do_confirm" = "yes" ]; then
- confirm $subsys
- rc=$?
- if [ "$rc" = "1" ]; then
- continue
- elif [ "$rc" = "2" ]; then
- do_confirm="no"
- fi
- fi
-
- update_boot_stage "$subsys"
- # Bring the subsystem up.
- [ -n "$UPSTART" ] && initctl emit --quiet starting JOB=$subsys
- if [ "$subsys" = "halt" -o "$subsys" = "reboot" ]; then
- export LC_ALL=C
- exec $i start
- fi
- $i start
- [ -n "$UPSTART" ] && initctl emit --quiet started JOB=$subsys
-done
-[ "$do_confirm" = "yes" ] && rm -f /var/run/confirm
-exit 0
diff --git a/rc.d/rc.local b/rc.d/rc.local
deleted file mode 100755
index c6a8faf1..00000000
--- a/rc.d/rc.local
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-#
-# This script will be executed at the end of the boot process.
-# You can put your own initialization stuff in here if you don't
-# want to do the full Sys V style init stuff.
-
-touch /var/lock/subsys/local
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
deleted file mode 100755
index 6363e4ca..00000000
--- a/rc.d/rc.sysinit
+++ /dev/null
@@ -1,666 +0,0 @@
-#!/bin/bash
-#
-# /etc/rc.d/rc.sysinit - run once at boot time
-#
-# Taken in part from Miquel van Smoorenburg's bcheckrc.
-#
-
-HOSTNAME=$(/bin/hostname)
-
-set -m
-
-if [ -f /etc/sysconfig/network ]; then
- . /etc/sysconfig/network
-fi
-if [ -r /etc/hostname ]; then
- HOSTNAME=$(cat /etc/hostname)
-fi
-if [ -z "$HOSTNAME" -o "$HOSTNAME" = "(none)" ]; then
- HOSTNAME=localhost
-fi
-
-if [ ! -e /proc/mounts ]; then
- mount -n -t proc /proc /proc
- mount -n -t sysfs /sys /sys >/dev/null 2>&1
-fi
-if [ ! -d /proc/bus/usb ]; then
- modprobe usbcore >/dev/null 2>&1 && mount -n -t usbfs /proc/bus/usb /proc/bus/usb
-else
- mount -n -t usbfs /proc/bus/usb /proc/bus/usb
-fi
-
-. /etc/init.d/functions
-
-PLYMOUTH=
-[ -x /bin/plymouth ] && PLYMOUTH=yes
-
-# Check SELinux status
-SELINUX_STATE=
-if [ -e "/sys/fs/selinux/enforce" ] && [ "$(cat /proc/self/attr/current)" != "kernel" ]; then
- if [ -r "/sys/fs/selinux/enforce" ] ; then
- SELINUX_STATE=$(cat "/sys/fs/selinux/enforce")
- else
- # assume enforcing if you can't read it
- SELINUX_STATE=1
- fi
-fi
-
-if [ -n "$SELINUX_STATE" ] && [ -x /sbin/restorecon ] && __fgrep " /dev " /proc/mounts >/dev/null 2>&1 ; then
- /sbin/restorecon -R /dev 2>/dev/null
-fi
-
-disable_selinux() {
- echo $"*** Warning -- SELinux is active"
- echo $"*** Disabling security enforcement for system recovery."
- echo $"*** Run 'setenforce 1' to reenable."
- echo "0" > "/sys/fs/selinux/enforce"
-}
-
-relabel_selinux() {
- # if /sbin/init is not labeled correctly this process is running in the
- # wrong context, so a reboot will be required after relabel
- AUTORELABEL=
- . /etc/selinux/config
- echo "0" > /sys/fs/selinux/enforce
- [ -n "$PLYMOUTH" ] && plymouth --hide-splash
-
- if [ "$AUTORELABEL" = "0" ]; then
- echo
- echo $"*** Warning -- SELinux ${SELINUXTYPE} policy relabel is required. "
- echo $"*** /etc/selinux/config indicates you want to manually fix labeling"
- echo $"*** problems. Dropping you to a shell; the system will reboot"
- echo $"*** when you leave the shell."
- sulogin
-
- else
- echo
- echo $"*** Warning -- SELinux ${SELINUXTYPE} policy relabel is required."
- echo $"*** Relabeling could take a very long time, depending on file"
- echo $"*** system size and speed of hard drives."
-
- /sbin/fixfiles -F restore > /dev/null 2>&1
- fi
- rm -f /.autorelabel
- echo $"Unmounting file systems"
- umount -a
- mount -n -o remount,ro /
- echo $"Automatic reboot in progress."
- reboot -f
-}
-
-# Print a text banner.
-echo -en $"\t\tWelcome to "
-read -r system_release < /etc/system-release
-if [[ "$system_release" == *"Red Hat"* ]]; then
- [ "$BOOTUP" = "color" ] && echo -en "\\033[0;31m"
- echo -en "Red Hat"
- [ "$BOOTUP" = "color" ] && echo -en "\\033[0;39m"
- PRODUCT=$(sed "s/Red Hat \(.*\) release.*/\1/" /etc/system-release)
- echo " $PRODUCT"
-elif [[ "$system_release" == *Fedora* ]]; then
- [ "$BOOTUP" = "color" ] && echo -en "\\033[0;34m"
- echo -en "Fedora"
- [ "$BOOTUP" = "color" ] && echo -en "\\033[0;39m"
- PRODUCT=$(sed "s/Fedora \(.*\) \?release.*/\1/" /etc/system-release)
- echo " $PRODUCT"
-else
- PRODUCT=$(sed "s/ release.*//g" /etc/system-release)
- echo "$PRODUCT"
-fi
-
-# Only read this once.
-cmdline=$(cat /proc/cmdline)
-
-# Initialize hardware
-if [ -f /proc/sys/kernel/modprobe ]; then
- if ! strstr "$cmdline" nomodules && [ -f /proc/modules ] ; then
- sysctl -w kernel.modprobe="/sbin/modprobe" >/dev/null 2>&1
- else
- # We used to set this to NULL, but that causes 'failed to exec' messages"
- sysctl -w kernel.modprobe="/bin/true" >/dev/null 2>&1
- fi
-fi
-
-touch /dev/.in_sysinit >/dev/null 2>&1
-
-# Set default affinity
-if [ -x /bin/taskset ]; then
- if strstr "$cmdline" default_affinity= ; then
- for arg in $cmdline ; do
- if [ "${arg##default_affinity=}" != "${arg}" ]; then
- /bin/taskset -p ${arg##default_affinity=} 1
- fi
- done
- fi
-fi
-
-nashpid=$(pidof nash 2>/dev/null)
-[ -n "$nashpid" ] && kill $nashpid >/dev/null 2>&1
-unset nashpid
-action $"Starting udev: " /sbin/udevd --daemon
-/sbin/udevadm trigger --type=subsystems --action=add
-/sbin/udevadm trigger --type=devices --action=add
-/sbin/udevadm settle
-
-# Load other user-defined modules
-for file in /etc/sysconfig/modules/*.modules ; do
- [ -x $file ] && $file
-done
-
-# Load modules (for backward compatibility with VARs)
-if [ -f /etc/rc.modules ]; then
- /etc/rc.modules
-fi
-
-mount -n /dev/pts >/dev/null 2>&1
-[ -n "$SELINUX_STATE" ] && restorecon /dev/pts >/dev/null 2>&1
-
-# Configure kernel parameters
-update_boot_stage RCkernelparam
-apply_sysctl
-
-# Set the hostname.
-update_boot_stage RChostname
-action $"Setting hostname ${HOSTNAME}: " hostname ${HOSTNAME}
-
-# Sync waiting for storage.
-{ rmmod scsi_wait_scan ; modprobe scsi_wait_scan ; rmmod scsi_wait_scan ; } >/dev/null 2>&1
-
-# Device mapper & related initialization
-if ! __fgrep "device-mapper" /proc/devices >/dev/null 2>&1 ; then
- modprobe dm-mod >/dev/null 2>&1
-fi
-
-if [ -f /etc/crypttab ]; then
- init_crypto 0
-fi
-
-if ! strstr "$cmdline" nompath && [ -f /etc/multipath.conf ] && \
- [ -x /sbin/multipath ]; then
- modprobe dm-multipath > /dev/null 2>&1
- /sbin/multipath -v 0
- if [ -x /sbin/kpartx ]; then
- /sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -a -p p" >/dev/null
- fi
-fi
-
-if ! strstr "$cmdline" nodmraid && [ -x /sbin/dmraid ]; then
- modprobe dm-mirror >/dev/null 2>&1
- dmraidsets=$(LC_ALL=C /sbin/dmraid -s -c -i)
- if [ "$?" = "0" ]; then
- for dmname in $dmraidsets; do
- if [[ "$dmname" == isw_* ]] && \
- ! strstr "$cmdline" noiswmd; then
- continue
- fi
- /sbin/dmraid -ay -i --rm_partitions -p "$dmname" >/dev/null 2>&1
- /sbin/kpartx -a -p p "/dev/mapper/$dmname"
- done
- fi
-fi
-
-# Start any MD RAID arrays that haven't been started yet
-[ -r /proc/mdstat ] && [ -r /dev/md/md-device-map ] && /sbin/mdadm -IRs
-
-if [ -x /sbin/lvm ]; then
- action $"Setting up Logical Volume Management:" /sbin/lvm vgchange -a y --sysinit
-fi
-
-if [ -f /etc/crypttab ]; then
- init_crypto 0
-fi
-
-if strstr "$cmdline" fastboot || [ -f /fastboot ]; then
- fastboot=yes
-fi
-
-if [ -f /fsckoptions ]; then
- fsckoptions=$(cat /fsckoptions)
-fi
-
-if strstr "$cmdline" forcefsck || [ -f /forcefsck ]; then
- fsckoptions="-f $fsckoptions"
-elif [ -f /.autofsck ]; then
- [ -f /etc/sysconfig/autofsck ] && . /etc/sysconfig/autofsck
- if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
- AUTOFSCK_OPT="$AUTOFSCK_OPT -f"
- fi
- if [ -n "$AUTOFSCK_SINGLEUSER" ]; then
- [ -n "$PLYMOUTH" ] && plymouth --hide-splash
- echo
- echo $"*** Warning -- the system did not shut down cleanly. "
- echo $"*** Dropping you to a shell; the system will continue"
- echo $"*** when you leave the shell."
- [ -n "$SELINUX_STATE" ] && echo "0" > /sys/fs/selinux/enforce
- sulogin
- [ -n "$SELINUX_STATE" ] && echo "1" > /sys/fs/selinux/enforce
- [ -n "$PLYMOUTH" ] && plymouth --show-splash
- fi
- fsckoptions="$AUTOFSCK_OPT $fsckoptions"
-fi
-
-if [ "$BOOTUP" = "color" ]; then
- fsckoptions="-C $fsckoptions"
-else
- fsckoptions="-V $fsckoptions"
-fi
-
-READONLY=
-if [ -f /etc/sysconfig/readonly-root ]; then
- . /etc/sysconfig/readonly-root
-fi
-if strstr "$cmdline" readonlyroot ; then
- READONLY=yes
- [ -z "$RW_MOUNT" ] && RW_MOUNT=/var/lib/stateless/writable
- [ -z "$STATE_MOUNT" ] && STATE_MOUNT=/var/lib/stateless/state
-fi
-if strstr "$cmdline" noreadonlyroot ; then
- READONLY=no
-fi
-
-if [ "$READONLY" = "yes" -o "$TEMPORARY_STATE" = "yes" ]; then
-
- mount_empty() {
- if [ -e "$1" ]; then
- echo "$1" | cpio -p -vd "$RW_MOUNT" &>/dev/null
- mount -n --bind "$RW_MOUNT$1" "$1"
- fi
- }
-
- mount_dirs() {
- if [ -e "$1" ]; then
- mkdir -p "$RW_MOUNT$1"
- find "$1" -type d -print0 | cpio -p -0vd "$RW_MOUNT" &>/dev/null
- mount -n --bind "$RW_MOUNT$1" "$1"
- fi
- }
-
- mount_files() {
- if [ -e "$1" ]; then
- cp -a --parents "$1" "$RW_MOUNT"
- mount -n --bind "$RW_MOUNT$1" "$1"
- fi
- }
-
- # Common mount options for scratch space regardless of
- # type of backing store
- mountopts=
-
- # Scan partitions for local scratch storage
- rw_mount_dev=$(blkid -t LABEL="$RW_LABEL" -l -o device)
-
- # First try to mount scratch storage from /etc/fstab, then any
- # partition with the proper label. If either succeeds, be sure
- # to wipe the scratch storage clean. If both fail, then mount
- # scratch storage via tmpfs.
- if mount $mountopts "$RW_MOUNT" > /dev/null 2>&1 ; then
- rm -rf "$RW_MOUNT" > /dev/null 2>&1
- elif [ x$rw_mount_dev != x ] && mount $rw_mount_dev $mountopts "$RW_MOUNT" > /dev/null 2>&1; then
- rm -rf "$RW_MOUNT" > /dev/null 2>&1
- else
- mount -n -t tmpfs $RW_OPTIONS $mountopts none "$RW_MOUNT"
- fi
-
- for file in /etc/rwtab /etc/rwtab.d/* /run/initramfs/rwtab; do
- is_ignored_file "$file" && continue
- [ -f $file ] && cat $file | while read type path ; do
- case "$type" in
- empty)
- mount_empty $path
- ;;
- files)
- mount_files $path
- ;;
- dirs)
- mount_dirs $path
- ;;
- *)
- ;;
- esac
- [ -n "$SELINUX_STATE" ] && [ -e "$path" ] && restorecon -R "$path"
- done
- done
-
- # Use any state passed by initramfs
- [ -d /run/initramfs/state ] && cp -a /run/initramfs/state/* $RW_MOUNT
-
- # In theory there should be no more than one network interface active
- # this early in the boot process -- the one we're booting from.
- # Use the network address to set the hostname of the client. This
- # must be done even if we have local storage.
- ipaddr=
- if [ "$HOSTNAME" = "localhost" -o "$HOSTNAME" = "localhost.localdomain" ]; then
- ipaddr=$(ip addr show to 0.0.0.0/0 scope global | awk '/[[:space:]]inet / { print gensub("/.*","","g",$2) }')
- for ip in $ipaddr ; do
- HOSTNAME=
- eval $(ipcalc -h $ip 2>/dev/null)
- [ -n "$HOSTNAME" ] && { hostname ${HOSTNAME} ; break; }
- done
- fi
-
- # Clients with read-only root filesystems may be provided with a
- # place where they can place minimal amounts of persistent
- # state. SSH keys or puppet certificates for example.
- #
- # Ideally we'll use puppet to manage the state directory and to
- # create the bind mounts. However, until that's all ready this
- # is sufficient to build a working system.
-
- # First try to mount persistent data from /etc/fstab, then any
- # partition with the proper label, then fallback to NFS
- state_mount_dev=$(blkid -t LABEL="$STATE_LABEL" -l -o device)
- if mount $mountopts $STATE_OPTIONS "$STATE_MOUNT" > /dev/null 2>&1 ; then
- /bin/true
- elif [ x$state_mount_dev != x ] && mount $state_mount_dev $mountopts "$STATE_MOUNT" > /dev/null 2>&1; then
- /bin/true
- elif [ ! -z "$CLIENTSTATE" ]; then
- # No local storage was found. Make a final attempt to find
- # state on an NFS server.
-
- mount -t nfs $CLIENTSTATE/$HOSTNAME $STATE_MOUNT -o rw,nolock
- fi
-
- if [ -w "$STATE_MOUNT" ]; then
-
- mount_state() {
- if [ -e "$1" ]; then
- [ ! -e "$STATE_MOUNT$1" ] && cp -a --parents "$1" "$STATE_MOUNT"
- mount -n --bind "$STATE_MOUNT$1" "$1"
- fi
- }
-
- for file in /etc/statetab /etc/statetab.d/* ; do
- is_ignored_file "$file" && continue
- [ ! -f "$file" ] && continue
-
- if [ -f "$STATE_MOUNT/$file" ] ; then
- mount -n --bind "$STATE_MOUNT/$file" "$file"
- fi
-
- for path in $(grep -v "^#" "$file" 2>/dev/null); do
- mount_state "$path"
- [ -n "$SELINUX_STATE" ] && [ -e "$path" ] && restorecon -R "$path"
- done
- done
-
- if [ -f "$STATE_MOUNT/files" ] ; then
- for path in $(grep -v "^#" "$STATE_MOUNT/files" 2>/dev/null); do
- mount_state "$path"
- [ -n "$SELINUX_STATE" ] && [ -e "$path" ] && restorecon -R "$path"
- done
- fi
- fi
-fi
-
-if [[ " $fsckoptions" != *" -y"* ]]; then
- fsckoptions="-a $fsckoptions"
-fi
-
-_RUN_QUOTACHECK=0
-if strstr "$cmdline" forcequotacheck || [ -f /forcequotacheck ] ; then
- _RUN_QUOTACHECK=1
-fi
-if [ -z "$fastboot" -a "$READONLY" != "yes" ]; then
-
- STRING=$"Checking filesystems"
- echo $STRING
- fsck -T -t noopts=_netdev -A $fsckoptions
- rc=$?
-
- if [ "$rc" -eq "0" ]; then
- success "$STRING"
- echo
- elif [ "$rc" -eq "1" ]; then
- passed "$STRING"
- echo
- elif [ "$rc" -eq "2" -o "$rc" -eq "3" ]; then
- echo $"Unmounting file systems"
- umount -a
- mount -n -o remount,ro /
- echo $"Automatic reboot in progress."
- reboot -f
- fi
-
- # A return of 4 or higher means there were serious problems.
- if [ $rc -gt 1 ]; then
- [ -n "$PLYMOUTH" ] && plymouth --hide-splash
-
- failure "$STRING"
- echo
- echo
- echo $"*** An error occurred during the file system check."
- echo $"*** Dropping you to a shell; the system will reboot"
- echo $"*** when you leave the shell."
-
- str=$"(Repair filesystem)"
- PS1="$str \# # "; export PS1
- [ "$SELINUX_STATE" = "1" ] && disable_selinux
- sulogin
-
- echo $"Unmounting file systems"
- umount -a
- mount -n -o remount,ro /
- echo $"Automatic reboot in progress."
- reboot -f
- elif [ "$rc" -eq "1" ]; then
- _RUN_QUOTACHECK=1
- fi
-fi
-
-remount_needed() {
- local state oldifs
- [ "$READONLY" = "yes" ] && return 1
- state=$(LC_ALL=C awk '/ \/ / && ($3 !~ /rootfs/) { print $4 }' /proc/mounts)
- oldifs=$IFS
- IFS=","
- for opt in $state ; do
- if [ "$opt" = "rw" ]; then
- IFS=$oldifs
- return 1
- fi
- done
- IFS=$oldifs
- return 0
-}
-
-# Remount the root filesystem read-write.
-update_boot_stage RCmountfs
-if remount_needed ; then
- action $"Remounting root filesystem in read-write mode: " mount -n -o remount,rw /
-fi
-
-# Clean up SELinux labels
-if [ -n "$SELINUX_STATE" ]; then
- restorecon /etc/mtab /etc/ld.so.cache /etc/blkid/blkid.tab /etc/resolv.conf >/dev/null 2>&1
-fi
-
-# If relabeling, relabel mount points.
-if [ -n "$SELINUX_STATE" -a "$READONLY" != "yes" ]; then
- if strstr "$cmdline" autorelabel || [ -f /.autorelabel ] ; then
- restorecon $(awk '!/^#/ && $4 !~ /noauto/ && $2 ~ /^\// { print $2 }' /etc/fstab) >/dev/null 2>&1
- fi
-fi
-
-if [ "$READONLY" != "yes" ] ; then
- # Clear mtab
- (> /etc/mtab) &> /dev/null
-
- # Remove stale backups
- rm -f /etc/mtab~ /etc/mtab~~
-
- # Enter mounted filesystems into /etc/mtab
- mount -f /
- mount -f /proc >/dev/null 2>&1
- mount -f /sys >/dev/null 2>&1
- mount -f /dev/pts >/dev/null 2>&1
- mount -f /dev/shm >/dev/null 2>&1
- mount -f /proc/bus/usb >/dev/null 2>&1
-fi
-
-# Mount all other filesystems (except for NFS and /proc, which is already
-# mounted). Contrary to standard usage,
-# filesystems are NOT unmounted in single user mode.
-# The 'no' applies to all listed filesystem types. See mount(8).
-if [ "$READONLY" != "yes" ] ; then
- action $"Mounting local filesystems: " mount -a -t nonfs,nfs4,smbfs,ncpfs,cifs,gfs,gfs2 -O no_netdev
-else
- action $"Mounting local filesystems: " mount -a -n -t nonfs,nfs4,smbfs,ncpfs,cifs,gfs,gfs2 -O no_netdev
-fi
-
-# Update quotas if necessary
-if [ X"$_RUN_QUOTACHECK" = X1 ] && [ -x /sbin/quotacheck ]; then
- action $"Checking local filesystem quotas: " /sbin/quotacheck -anug
-fi
-
-if [ -x /sbin/quotaon ]; then
- action $"Enabling local filesystem quotas: " /sbin/quotaon -aug
-fi
-
-# Check to see if a full relabel is needed
-if [ -n "$SELINUX_STATE" -a "$READONLY" != "yes" ]; then
- if strstr "$cmdline" autorelabel || [ -f /.autorelabel ] ; then
- relabel_selinux
- fi
-else
- if [ "$READONLY" != "yes" ] && [ -d /etc/selinux ]; then
- [ -f /.autorelabel ] || touch /.autorelabel
- fi
-fi
-
-# Initialize pseudo-random number generator
-if [ -f "/var/lib/random-seed" ]; then
- cat /var/lib/random-seed > /dev/urandom
-else
- [ "$READONLY" != "yes" ] && touch /var/lib/random-seed
-fi
-if [ "$READONLY" != "yes" ]; then
- chmod 600 /var/lib/random-seed
- dd if=/dev/urandom of=/var/lib/random-seed count=1 bs=512 2>/dev/null
-fi
-
-if [ -f /etc/crypttab ]; then
- init_crypto 1
-fi
-
-# Configure machine if necessary.
-if [ -f /.unconfigured ]; then
-
- if [ -x /bin/plymouth ]; then
- /bin/plymouth quit
- fi
-
- if [ -x /usr/bin/system-config-keyboard ]; then
- /usr/bin/system-config-keyboard
- fi
- if [ -x /usr/bin/passwd ]; then
- /usr/bin/passwd root
- fi
- if [ -x /usr/sbin/system-config-network-tui ]; then
- /usr/sbin/system-config-network-tui
- fi
- if [ -x /usr/sbin/timeconfig ]; then
- /usr/sbin/timeconfig
- fi
- if [ -x /usr/sbin/authconfig-tui ]; then
- /usr/sbin/authconfig-tui --nostart
- fi
- if [ -x /usr/sbin/ntsysv ]; then
- /usr/sbin/ntsysv --level 35
- fi
-
- # Reread in network configuration data.
- if [ -f /etc/sysconfig/network ]; then
- . /etc/sysconfig/network
-
- # Reset the hostname.
- action $"Resetting hostname ${HOSTNAME}: " hostname ${HOSTNAME}
- fi
-
- rm -f /.unconfigured
-fi
-
-# Clean out /.
-rm -f /fastboot /fsckoptions /forcefsck /.autofsck /forcequotacheck /halt \
- /poweroff /.suspended &> /dev/null
-
-# Do we need (w|u)tmpx files? We don't set them up, but the sysadmin might...
-_NEED_XFILES=
-[ -f /var/run/utmpx ] || [ -f /var/log/wtmpx ] && _NEED_XFILES=1
-
-# Clean up /var.
-rm -rf /var/lock/cvs/* /var/run/screen/*
-find /var/lock /var/run ! -type d -exec rm -f {} \;
-rm -f /var/lib/rpm/__db* &> /dev/null
-rm -f /var/gdm/.gdmfifo &> /dev/null
-
-# Clean up utmp/wtmp
-> /var/run/utmp
-touch /var/log/wtmp /var/log/btmp
-chgrp utmp /var/run/utmp /var/log/wtmp /var/log/btmp
-chmod 0664 /var/run/utmp /var/log/wtmp
-chmod 0600 /var/log/btmp
-if [ -n "$_NEED_XFILES" ]; then
- > /var/run/utmpx
- touch /var/log/wtmpx
- chgrp utmp /var/run/utmpx /var/log/wtmpx
- chmod 0664 /var/run/utmpx /var/log/wtmpx
-fi
-[ -n "$SELINUX_STATE" ] && restorecon /var/run/utmp* /var/log/wtmp* /var/log/btmp >/dev/null 2>&1
-
-# Clean up various /tmp bits
-[ -n "$SELINUX_STATE" ] && restorecon /tmp
-rm -f /tmp/.X*-lock /tmp/.lock.* /tmp/.gdm_socket /tmp/.s.PGSQL.*
-rm -rf /tmp/.X*-unix /tmp/.ICE-unix /tmp/.font-unix /tmp/hsperfdata_* \
- /tmp/kde-* /tmp/ksocket-* /tmp/mc-* /tmp/mcop-* /tmp/orbit-* \
- /tmp/scrollkeeper-* /tmp/ssh-* \
- /dev/.in_sysinit
-
-# Make ICE directory
-mkdir -m 1777 -p /tmp/.ICE-unix >/dev/null 2>&1
-chown root:root /tmp/.ICE-unix
-[ -n "$SELINUX_STATE" ] && restorecon /tmp/.ICE-unix >/dev/null 2>&1
-
-# Start up swapping.
-update_boot_stage RCswap
-action $"Enabling /etc/fstab swaps: " swapon -a -e
-if [ "$AUTOSWAP" = "yes" ]; then
- curswap=$(awk '/^\/dev/ { print $1 }' /proc/swaps | while read x; do get_numeric_dev dec $x ; echo -n " "; done)
- swappartitions=$(blkid -t TYPE=swap -o device)
- if [ x"$swappartitions" != x ]; then
- for partition in $swappartitions ; do
- [ ! -e $partition ] && continue
- majmin=$(get_numeric_dev dec $partition)
- echo $curswap | grep -qw "$majmin" || action $"Enabling local swap partitions: " swapon $partition
- done
- fi
-fi
-
-# Set up binfmt_misc
-/bin/mount -t binfmt_misc none /proc/sys/fs/binfmt_misc > /dev/null 2>&1
-
-# Boot time profiles. Yes, this should be somewhere else.
-if strstr "$cmdline" netprofile= && [ -x /usr/sbin/system-config-network-cmd ]; then
- for arg in $cmdline ; do
- if [ "${arg##netprofile=}" != "${arg}" ]; then
- /usr/sbin/system-config-network-cmd --profile ${arg##netprofile=}
- fi
- done
-fi
-
-# Now that we have all of our basic modules loaded and the kernel going,
-# let's dump the syslog ring somewhere so we can find it later
-[ -f /var/log/dmesg ] && mv -f /var/log/dmesg /var/log/dmesg.old
-dmesg -s 131072 > /var/log/dmesg
-
-# create the crash indicator flag to warn on crashes, offer fsck with timeout
-touch /.autofsck &> /dev/null
-
-if strstr "$cmdline" confirm ; then
- touch /var/run/confirm
-fi
-
-# Let rhgb know that we're leaving rc.sysinit
-if [ -x /bin/plymouth ]; then
- /bin/plymouth --sysinit
-fi
-